Customers
Get customer
Developer API operation for GET /dev/v1/customers/.
GET
/
dev
/
v1
/
customers
/
{id}
Get customer
curl --request GET \
--url https://api.shoppex.io/dev/v1/customers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/customers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/customers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/customers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "cus_1",
"shop_id": "shop_1",
"email": "[email protected]",
"name": "Berlin Buyer",
"surname": null,
"phone": "+491234567",
"phone_country_code": null,
"country_code": "DE",
"street_address": "Teststrasse 1",
"additional_address_info": null,
"city": "Berlin",
"postal_code": "10115",
"state": null,
"affiliate_revenue": 0,
"affiliate_revenue_currency": "USD",
"affiliate_revenue_percent": 0,
"customer_balance": 12,
"customer_balance_currency": "EUR",
"created_at": 1710686400
}
}⌘I
Get customer
